import Foundation

extension AppState {
    static func reducer(state: inout AppState, action: AppAction) {
        switch action {
        case .flushState:
            state = AppState()

        case .changeFlow(let flow):
            state.currentFlow = flow

        case .tempAction(let action):
            TempState.reducer(state: &state.tempState, action: action)
        }
    }
}
